#!/bin/sh
########################################
###### Powered by The Gemini Team ######
### http://www.i-have-a-dreambox.com ###
########################################
# camid #
# 0000 = Commom Interface #
# 0001->0199 = for User Experiment #
# 0199 = Dccamd #
# 0200->0299 = Fbiss #
# 0300->0399 = Camd3 #
# 0400->0499 = Camx #
# 0500->0599 = Camx-radegast-cs #
# 0600->0699 = Evocamd #
# 0700->0799 = Evocamd-ronlad-cs #
# 0800->0899 = Mgcamd #
# 0900->0999 = Mgcamd-ronald-cs #
# 1000->1099 = Newcamd #
# 1100->1199 = Newcamd-ronald-cs #
# 1200->1299 = Newcamd-spider #
# 1300->1399 = Radegast #
# 1400->1499 = Ronald-cs #
# 1500->1599 = Scam #
# 1600->1699 = Scam-ronald-cs #
# 1700->1799 = Cardserver #
# 1800->1899 = Mgcamd with Cardserver #
# 9800->9899 = reserved #
# 9900->9999 = reserved #
########################################
CAMNAME="Gbox2.1B"
USERNAME=""
ZAPTIME=8
CAMID=970
DVBSET=1
INFOFILE="ecm.info"
# end


# This method cleans up /tmp folder of gbox files
remove_tmp () 
{
rm -rf /tmp/*info* /tmp/*gbox* /tmp/*online* /tmp/*share* /tmp/Newcs* /tmp/atack* /tmp/debug*
}

# This method starts AES_Gbox > CS2Gbox > Gbox (That order)
start_cam ()
{
/var/script/AES_Gbox.sh &
sleep 5
/var/bin/cs2gbox &
sleep 2
/var/bin/gbox &
}

# This method stops newcs cs2gbox and gbox and then calles the tmp cleanup method
stop_cam ()
{
touch /tmp/gbox.kill
/bin/prockill newcs
/bin/prockill cs2gbox
/bin/prockill gbox
killall -9 newcs cs2gbox 2> /dev/null
remove_tmp
}

case "$1" in
start)
echo "[SCRIPT] $1: $CAMNAME"
start_cam
;;
stop)
echo "[SCRIPT] $1: $CAMNAME"
stop_cam
;;
restart)
echo "Restaring $CAMNAME"
stop_cam
start_cam
;;
*)
"$0" stop
exit 1
;;
esac

exit 0
